import { GraphQLSchema, DocumentNode } from "graphql";
import { IResolvers, SchemaDirectiveVisitor, IResolverValidationOptions } from "graphql-tools";
export interface MergeSchemasConfig {
    schemas: GraphQLSchema[];
    typeDefs?: (DocumentNode | string)[] | DocumentNode | string;
    resolvers?: IResolvers | IResolvers[];
    schemaDirectives?: {
        [directiveName: string]: typeof SchemaDirectiveVisitor;
    };
    resolverValidationOptions?: IResolverValidationOptions;
}
export declare function mergeSchemas(config: MergeSchemasConfig): GraphQLSchema;
