"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var graphql_tools_1 = require("graphql-tools");
var merge_typedefs_1 = require("./typedefs-mergers/merge-typedefs");
var helpers_1 = require("../utils/helpers");
var merge_resolvers_1 = require("./resolvers-mergers/merge-resolvers");
var utils_1 = require("../utils");
function mergeSchemas(config) {
    var typeDefs = merge_typedefs_1.mergeTypeDefs(config.schemas.concat(config.typeDefs ? helpers_1.asArray(config.typeDefs) : []));
    var resolvers = merge_resolvers_1.mergeResolvers(config.schemas.map(function (schema) { return utils_1.extractResolversFromSchema(schema); }).concat(config.resolvers ? helpers_1.asArray(config.resolvers) : []));
    return graphql_tools_1.makeExecutableSchema({
        typeDefs: typeDefs,
        resolvers: resolvers,
        schemaDirectives: config.schemaDirectives,
        resolverValidationOptions: config.resolverValidationOptions
    });
}
exports.mergeSchemas = mergeSchemas;
//# sourceMappingURL=merge-schemas.js.map